diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -1124,28 +1124,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khanty-Mansiyskiy avtonomnyy okrug
+    // Yevreyskaya avtonomnaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khanty-Mansiyskiy avtonomnyy okrug</rdfs:label>
-      <skos:definition>The autonomous district of Khanty-Mansiyskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Yevreyskaya avtonomnaya oblast'</rdfs:label>
+      <skos:definition>The autonomous region of Yevreyskaya avtonomnaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Khanty-Mansiyskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Hanty-Mansijskij avtonomnyj okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yevreyskaya avtonomnaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Evrejskaja avtonomnaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KHM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YEV">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous district of Khanty-Mansiyskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KHM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KHM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Khanty-MansiyskiyAvtonomnyyOkrug"/>
+      <skos:definition>subdivision code for the autonomous region of Yevreyskaya avtonomnaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-YEV</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YEV</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1155,28 +1155,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hakasija, Respublika
+    // Belgorodskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Hakasija">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;BelgorodskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hakasija, Respublika</rdfs:label>
-      <skos:definition>The republic of Hakasija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Belgorodskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Belgorodskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Hakasija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Khakasiya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Belgorodskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Belgorodskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KK">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BEL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Hakasija, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KK</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KK</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Hakasija"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Hakasija"/>
+      <skos:definition>subdivision code for the administrative region of Belgorodskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-BEL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BEL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;BelgorodskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;BelgorodskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1186,28 +1186,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lipeckaja oblast'
+    // Ingušetija, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;LipeckajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Ingusetija">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lipeckaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Lipeckaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Ingušetija, Respublika</rdfs:label>
+      <skos:definition>The republic of Ingušetija, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Lipeckaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Lipetskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ingušetija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ingushetiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-LIP">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-IN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Lipeckaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-LIP</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-LIP</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;LipeckajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;LipeckajaOblast"/>
+      <skos:definition>subdivision code for the republic of Ingušetija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-IN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-IN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Ingusetija"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Ingusetija"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1217,28 +1217,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Mariy El, Respublika
+    // Kareliya, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MariyEl">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Kareliya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Mariy El, Respublika</rdfs:label>
-      <skos:definition>The republic of Mariy El, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kareliya, Respublika</rdfs:label>
+      <skos:definition>The republic of Kareliya, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mariy El, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Marij Èl, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kareliya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karelija, Respublika</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ME">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Mariy El, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ME</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ME</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MariyEl"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MariyEl"/>
+      <skos:definition>subdivision code for the republic of Kareliya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Kareliya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Kareliya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1248,28 +1248,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Mordoviya, Respublika
+    // Kurskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Mordoviya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KurskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Mordoviya, Respublika</rdfs:label>
-      <skos:definition>The republic of Mordoviya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kurskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kurskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mordoviya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mordovija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MO">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KRS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Mordoviya, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-MO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Mordoviya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Mordoviya"/>
+      <skos:definition>subdivision code for the administrative region of Kurskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KRS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KRS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KurskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KurskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1279,28 +1279,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Penzenskaya oblast'
+    // Moskva
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PenzenskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Moskva">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Penzenskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Penzenskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Moskva</rdfs:label>
+      <skos:definition>The autonomous city of Moskva in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Penzenskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Penzenskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskva</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskva</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousCity"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PNZ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MOW">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Penzenskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-PNZ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PNZ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PenzenskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PenzenskayaOblast"/>
+      <skos:definition>subdivision code for the autonomous city of Moskva in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-MOW</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MOW</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Moskva"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Moskva"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1310,28 +1310,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Saha, Respublika
+    // Rjazanskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Saha">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RjazanskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Saha, Respublika</rdfs:label>
-      <skos:definition>The republic of Saha, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Rjazanskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Rjazanskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saha, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sakha, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Rjazanskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ryazanskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-RYA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Saha, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Saha"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Saha"/>
+      <skos:definition>subdivision code for the administrative region of Rjazanskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-RYA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-RYA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;RjazanskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;RjazanskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1341,28 +1341,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Smolenskaja oblast'
+    // Sahalinskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SmolenskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SahalinskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Smolenskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Smolenskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Sahalinskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Sahalinskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Smolenskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Smolenskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sahalinskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sakhalinskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SMO">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Smolenskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SMO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SMO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SmolenskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SmolenskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Sahalinskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SAK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SahalinskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SahalinskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1372,28 +1372,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Vologodskaya oblast'
+    // Tatarstan, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VologodskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Tatarstan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Vologodskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Vologodskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tatarstan, Respublika</rdfs:label>
+      <skos:definition>The republic of Tatarstan, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vologodskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vologodskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tatarstan, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tatarstan, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VLG">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Vologodskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-VLG</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VLG</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VologodskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VologodskayaOblast"/>
+      <skos:definition>subdivision code for the republic of Tatarstan, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Tatarstan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Tatarstan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1403,28 +1403,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Astrakhanskaya oblast'
+    // Tomskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AstrakhanskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TomskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Astrakhanskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Astrakhanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tomskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Tomskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Astrakhanskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Astrahanskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tomskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tomskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AST">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TOM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Astrakhanskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-AST</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AST</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AstrakhanskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AstrakhanskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Tomskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TOM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TOM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TomskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TomskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1434,28 +1434,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Buryatiya, Respublika
+    // Tul'skaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Buryatiya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TulskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Buryatiya, Respublika</rdfs:label>
-      <skos:definition>The republic of Buryatiya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tul'skaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Tul'skaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Buryatiya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Burjatija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tul'skaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tul'skaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TUL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Buryatiya, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-BU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Buryatiya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Buryatiya"/>
+      <skos:definition>subdivision code for the administrative region of Tul'skaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TUL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TUL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TulskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TulskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
